<?php
/*********************************************************************************
 * SugarCRM Community Edition is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2012 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/


// THIS CONTENT IS GENERATED BY MBPackage.php
$manifest = array (
  0 => 
  array (
    'acceptable_sugar_versions' => 
    array (
      0 => '',
    ),
  ),
  1 => 
  array (
    'acceptable_sugar_flavors' => 
    array (
      0 => 'CE',
      1 => 'PRO',
      2 => 'ENT',
    ),
  ),
  'readme' => '',
  'key' => 'sync',
  'author' => 'Cazoomi',
  'description' => 'Cazoomi SyncApps : Sugar CRM Sync Package',
  'icon' => '',
  'is_uninstallable' => true,
  'name' => 'CazoomiSyncApps_v2',
  'published_date' => '2015-01-09 08:05:35',
  'type' => 'module',
  'version' => 1420790735,
  'remove_tables' => 'prompt',
);


$installdefs = array (
  'id' => 'CazoomiSyncApps_v2',
  'beans' => 
  array (
    0 => 
    array (
      'module' => 'sync_Email_Hist',
      'class' => 'sync_Email_Hist',
      'path' => 'modules/sync_Email_Hist/sync_Email_Hist.php',
      'tab' => true,
    ),
  ),
  'layoutdefs' => 
  array (
    0 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/layoutdefs/sync_email_hist_contacts_Contacts.php',
      'to_module' => 'Contacts',
    ),
    1 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/layoutdefs/sync_email_hist_leads_Leads.php',
      'to_module' => 'Leads',
    ),
    2 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/layoutdefs/sync_email_hist_accounts_Accounts.php',
      'to_module' => 'Accounts',
    ),
    3 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/layoutdefs/sync_email_hist_prospects_Prospects.php',
      'to_module' => 'Prospects',
    ),
  ),
  'relationships' => 
  array (
    0 => 
    array (
      'meta_data' => '<basepath>/SugarModules/relationships/relationships/sync_email_hist_contactsMetaData.php',
    ),
    1 => 
    array (
      'meta_data' => '<basepath>/SugarModules/relationships/relationships/sync_email_hist_leadsMetaData.php',
    ),
    2 => 
    array (
      'meta_data' => '<basepath>/SugarModules/relationships/relationships/sync_email_hist_accountsMetaData.php',
    ),
    3 => 
    array (
      'meta_data' => '<basepath>/SugarModules/relationships/relationships/sync_email_hist_prospectsMetaData.php',
    ),
  ),
  'image_dir' => '<basepath>/icons',
  'copy' => 
  array (
    0 => 
    array (
      'from' => '<basepath>/SugarModules/modules/sync_Email_Hist',
      'to' => 'modules/sync_Email_Hist',
    ),
  ),
  'language' => 
  array (
    0 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
      'language' => 'en_us',
    ),
    1 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/Contacts.php',
      'to_module' => 'Contacts',
      'language' => 'en_us',
    ),
    2 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
      'language' => 'en_us',
    ),
    3 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/Leads.php',
      'to_module' => 'Leads',
      'language' => 'en_us',
    ),
    4 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
      'language' => 'en_us',
    ),
    5 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/Accounts.php',
      'to_module' => 'Accounts',
      'language' => 'en_us',
    ),
    6 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
      'language' => 'en_us',
    ),
    7 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/language/Prospects.php',
      'to_module' => 'Prospects',
      'language' => 'en_us',
    ),
    8 => 
    array (
      'from' => '<basepath>/SugarModules/language/application/en_us.lang.php',
      'to_module' => 'application',
      'language' => 'en_us',
    ),
  ),
  'vardefs' => 
  array (
    0 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_contacts_sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
    ),
    1 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_contacts_Contacts.php',
      'to_module' => 'Contacts',
    ),
    2 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_leads_sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
    ),
    3 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_leads_Leads.php',
      'to_module' => 'Leads',
    ),
    4 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_accounts_sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
    ),
    5 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_accounts_Accounts.php',
      'to_module' => 'Accounts',
    ),
    6 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_prospects_sync_Email_Hist.php',
      'to_module' => 'sync_Email_Hist',
    ),
    7 => 
    array (
      'from' => '<basepath>/SugarModules/relationships/vardefs/sync_email_hist_prospects_Prospects.php',
      'to_module' => 'Prospects',
    ),
  ),
  'layoutfields' => 
  array (
    0 => 
    array (
      'additional_fields' => 
      array (
      ),
    ),
    1 => 
    array (
      'additional_fields' => 
      array (
      ),
    ),
    2 => 
    array (
      'additional_fields' => 
      array (
      ),
    ),
    3 => 
    array (
      'additional_fields' => 
      array (
      ),
    ),
  ),
);